ProviderInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.agent.ProviderInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.agent
Class ProviderInfo

    java.lang.Object
      org.hyperic.hq.bizapp.agent.ProviderInfo

    public class ProviderInfo

extends java.lang.Object

Constructor Summary
`ProviderInfo(java.lang.String providerAddress, java.lang.String agentToken)`

Method Summary
`java.lang.String` | `getAgentToken()`
`java.lang.String` | `getProviderAddress()`
`int` | `getUnidirectionalPort()`
`boolean` | `isNewTransport()`
`boolean` | `isUnidirectional()`
`void` | `setNewTransport(boolean unidirectional, int unidirectionalPort)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderInfo

    public ProviderInfo(java.lang.String providerAddress,
                        java.lang.String agentToken)

Method Detail

### setNewTransport

    public void setNewTransport(boolean unidirectional,
                                int unidirectionalPort)

### getProviderAddress

    public java.lang.String getProviderAddress()

### getAgentToken

    public java.lang.String getAgentToken()

### isNewTransport

    public boolean isNewTransport()

### isUnidirectional

    public boolean isUnidirectional()

### getUnidirectionalPort

    public int getUnidirectionalPort()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.